com.holonplatform.core.query

## Interface TemporalQueryExpression<T>

- Type Parameters:
    `T` - Expression type
  All Superinterfaces:
    Expression, QueryExpression<T>, TypedExpression<T>
  All Known Subinterfaces:
    TemporalBeanProperty<T>, TemporalFunction.CurrentDate, TemporalFunction.CurrentLocalDate, TemporalFunction.CurrentLocalDateTime, TemporalFunction.CurrentTimestamp, TemporalProperty<T>, TemporalProperty.TemporalPropertyBuilder<T>

      public interface TemporalQueryExpression<T>
      extends QueryExpression<T>

  A `QueryExpression` of a temporal type.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default TemporalFunction.Day` | `day()` Creates a function to extract the day part of a temporal data type.
    `default TemporalFunction.Hour` | `hour()` Creates a function to extract the hour part of a temporal data type.
    `default TemporalFunction.Month` | `month()` Creates a function to extract the month part of a temporal data type.
    `default TemporalFunction.Year` | `year()` Creates a function to extract the year part of a temporal data type.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### year

          default TemporalFunction.Year year()

      Creates a function to extract the year part of a temporal data type.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `TemporalFunction.Year` function

    - #### month

          default TemporalFunction.Month month()

      Creates a function to extract the month part of a temporal data type.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `TemporalFunction.Month` function

    - #### day

          default TemporalFunction.Day day()

      Creates a function to extract the day part of a temporal data type.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `TemporalFunction.Day` function

    - #### hour

          default TemporalFunction.Hour hour()

      Creates a function to extract the hour part of a temporal data type.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `TemporalFunction.Hour` function

Copyright © 2019 The Holon Platform. All rights reserved.